List a booking's add-on allocations
curl --request GET \
--url https://api.letsdothis.com/v0/bookings/{id}/add-on-allocations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/bookings/{id}/add-on-allocations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/bookings/{id}/add-on-allocations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "65c3d4e5f60718293a4b5c6d",
"bookingId": "65a1b2c3d4e5f60718293a4b",
"participantId": "8c11d86e-a472-4d4a-b1aa-0a816f715f21",
"purchaseLineItemId": "65b2c3d4e5f60718293a4b5c",
"externalLineItemId": "order-1042-tshirt",
"addOn": {
"id": "5fcd4b7e-1a2c-4d89-8f31-6b72e09a45c3",
"externalAddOnId": "city-marathon-tshirt",
"name": "City Marathon Technical T-shirt",
"displayName": "Race T-shirt"
},
"variant": {
"id": "29bb39a4-3206-4f43-9a6a-79d83fc1c31e",
"externalVariantId": "city-marathon-tshirt-navy-m",
"name": "Navy / Medium"
},
"status": "ALLOCATED",
"financialStatus": "PAID",
"createdAt": "2025-04-18T14:30:00.000Z",
"updatedAt": "2025-04-18T14:30:00.000Z"
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}{
"statusCode": 404,
"error": "<string>",
"message": "<string>"
}Add-ons
List a booking's add-on allocations
Lists a booking’s participant add-on allocations, including participant and line-item references, product and variant details, and operational and financial status.
GET
/
v0
/
bookings
/
{id}
/
add-on-allocations
List a booking's add-on allocations
curl --request GET \
--url https://api.letsdothis.com/v0/bookings/{id}/add-on-allocations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/bookings/{id}/add-on-allocations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/bookings/{id}/add-on-allocations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "65c3d4e5f60718293a4b5c6d",
"bookingId": "65a1b2c3d4e5f60718293a4b",
"participantId": "8c11d86e-a472-4d4a-b1aa-0a816f715f21",
"purchaseLineItemId": "65b2c3d4e5f60718293a4b5c",
"externalLineItemId": "order-1042-tshirt",
"addOn": {
"id": "5fcd4b7e-1a2c-4d89-8f31-6b72e09a45c3",
"externalAddOnId": "city-marathon-tshirt",
"name": "City Marathon Technical T-shirt",
"displayName": "Race T-shirt"
},
"variant": {
"id": "29bb39a4-3206-4f43-9a6a-79d83fc1c31e",
"externalVariantId": "city-marathon-tshirt-navy-m",
"name": "Navy / Medium"
},
"status": "ALLOCATED",
"financialStatus": "PAID",
"createdAt": "2025-04-18T14:30:00.000Z",
"updatedAt": "2025-04-18T14:30:00.000Z"
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}{
"statusCode": 404,
"error": "<string>",
"message": "<string>"
}Authorizations
Query Parameters
Response
A page of the booking's add-on allocations.
Where you are in a paginated list.
Pass next as page[after] to get the next page, or prev as page[before] to get the previous one. An empty cursor means there are no more pages in that direction. Treat cursors as opaque strings.
Show child attributes
Show child attributes
Example:
{
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
Was this page helpful?

